Skip to content

Get Configuration

GET
/v5/config/settings

Retrieve Card API network, token, and contract configuration.

Authorizations

ApiKeyAuth
Type
API Key (header: X-Api-Key)

Responses

OK

application/json
JSON
{
"status": "ok",
"payload": {
"references": {
"additionalProperties": "string"
}
}
}

Playground

Authorization

Samples

Powered by VitePress OpenAPI

Code examples

bash
curl -X GET "https://api.brrr.network/v5/config/settings" \
  -H "X-Api-Key: YOUR_API_KEY"
javascript
const response = await fetch('https://api.brrr.network/v5/config/settings', {
  headers: {
    'X-Api-Key': process.env.BRRR_API_KEY,
  },
});

if (!response.ok) {
  const error = await response.json();
  throw new Error(`Request failed: ${error.errorCode}`);
}

const data = await response.json();
console.log(data.payload);
python
import os
import httpx

response = httpx.get(
    'https://api.brrr.network/v5/config/settings',
    headers={'X-Api-Key': os.environ['BRRR_API_KEY']},
)
response.raise_for_status()
print(response.json()['payload'])